<?php

require "./mail/mail_sender.php";
require "./mail/mail_setting.php";
require "./mail/chocomae_info.php";


$maestroEmail = "jisangs@daum.net";
$maestroName = "삼화초";
$registerDate = "2019-04-30";


$parameters = array(
    "maestro_name"	=> $maestroName,
    "register_date"	=> $registerDate,
);

$recipientParam = array(
	"maestro_name" => $maestroName
);


$nCloudSetting = new MailSetting();
$chocomae = new ChocomaeInfo();

$mailSender = new MailSender();
$mailSender->setMailSetting($nCloudSetting);
$mailSender->setSenderInfo($chocomae->sender_name, $chocomae->sender_email);

$mailSender->makePostParam(337);
$mailSender->setParameters($parameters);
$mailSender->addRecipient($maestroEmail, $maestroName, "R", $recipientParam);
$mailSender->addRecipient($chocomae->sender_bcc, $chocomae->sender_name, "B", $recipientParam);

// $mailSender->showSettings();
$mailSender->send();

?>
